> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Bill of Materials Line Item

> This endpoint deletes an existing bill of materials line item.

### Body

<ParamField body="id" type="string">
  The id of the bill of materials line item you want to delete
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the return
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.stateset.com/v1/bill_of_materials_line_item/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
  		"user_group_id": "example_1"
  		"current_token": "abcdef"
  }'
  ```

  ```graphQL GraphQL theme={null}

      mutation deleteBillOfMaterialLineItem($bill_of_material_line_item_id: uuid!) {
        delete_bill_of_material_line_items(where: { id: { _eq: $bill_of_material_line_item_id } }) {
          affected_rows
        }
      }
  ```

  ```javascript Node.js theme={null}

  const created = await stateset.billofmaterialItems.del(
    'bomi_ODkRWQtx9NVsRX'
  );

  ```

  ```python Python theme={null}

  created = stateset.billofmaterialItems.del(
    'bomi_ODkRWQtx9NVsRX'
  )

  ```

  ```ruby Ruby theme={null}

  created = Stateset::BillofmaterialItems.del(
    'bomi_ODkRWQtx9NVsRX'
  )

  ```

  ```php PHP theme={null}

  $created = $stateset->billofmaterialItems->del(
    'bomi_ODkRWQtx9NVsRX'
  );

  ```

  ```go Go theme={null}

  created, err := stateset.BillofmaterialItems.Del(
    'bomi_ODkRWQtx9NVsRX'
  )

  ```

  ```java Java theme={null}

  BillofmaterialItemsResponse created = stateset.billofmaterialItems.del(
    'bomi_ODkRWQtx9NVsRX'
  );

  ```

  ```csharp C# theme={null}

  var created = stateset.BillofmaterialItems.Del(
    'bomi_ODkRWQtx9NVsRX'
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "bomi_1NXWPnCo6bFb1KQto6C8OWvE",
    "object": "bill_of_materials_line_item",
    "deleted": true
  }

  ```
</ResponseExample>
